Merge "add emmintrin_compat.h for builds with gcc < 4" into vp9-preview